## moblin-media 0.11

=== Makefile ===
BINDIR = ${DESTDIR}/usr/bin/
MEDIAAPPDIR = ${DESTDIR}/usr/share/moblin-media
MEDIASTREAMDIR = ${DESTDIR}/usr/share/moblin-media/media
THEME_DIR = ${DESTDIR}/usr/share/themes/mobilebasic
IMAGE_DIR = ${THEME_DIR}/images
all: 
install:
	@mkdir -p ${BINDIR}
	@mkdir -p ${MEDIAAPPDIR}
	@mkdir -p ${MEDIASTREAMDIR}/video
	@mkdir -p ${MEDIASTREAMDIR}/audio
	@mkdir -p ${MEDIASTREAMDIR}/photo
	@mkdir -p ${MEDIASTREAMDIR}/.playlist
	@mkdir -p ${DESTDIR}/usr/share/media-services

	@mkdir -p ${MEDIASTREAMDIR}/plugins
	@mkdir -p ${THEME_DIR}
	@mkdir -p ${MEDIAAPPDIR}/config
	@mkdir -p ${MEDIAAPPDIR}/images
	@install -m 644 -D images/rewind.png ${IMAGE_DIR}/rewind.png
	@install -m 644 -D images/previous.png ${IMAGE_DIR}/previous.png
	@install -m 644 -D images/pause.png ${IMAGE_DIR}/pause.png
	@install -m 644 -D images/forward.png ${IMAGE_DIR}/forward.png
	@install -m 644 -D images/next.png ${IMAGE_DIR}/next.png
	@install -m 644 -D images/stop.png ${IMAGE_DIR}/stop.png
	@install -m 644 -D images/AlbumArtMissing.png ${MEDIAAPPDIR}/images/AlbumArtMissing.png
	@install -m 644 -D images/mime-video.png ${IMAGE_DIR}/mime-video.png
	@install -m 644 -D images/mime-audio.png ${IMAGE_DIR}/mime-audio.png
	@install -m 644 -D org.moblin.media.service ${DESTDIR}/usr/share/dbus-1/services/org.moblin.media.service

	@install -m 755 -D src/FileIO.py ${MEDIAAPPDIR}/FileIO.py
	@install -m 755 -D src/PlayList.py ${MEDIAAPPDIR}/PlayList.py
	@install -m 755 -D src/MusicManag.py ${MEDIAAPPDIR}/MusicManag.py
	@install -m 755 -D src/GeneralFunc.py ${MEDIAAPPDIR}/GeneralFunc.py
	@install -m 755 -D src/EngManag.py ${MEDIAAPPDIR}/EngManag.py
	@install -m 755 -D src/PhotoView.py ${MEDIAAPPDIR}/PhotoView.py
	@install -m 755 -D src/ToolBarView.py ${MEDIAAPPDIR}/ToolBarView.py
	@install -m 755 -D src/MusicView.py ${MEDIAAPPDIR}/MusicView.py
	@install -m 755 -D src/VideoView.py ${MEDIAAPPDIR}/VideoView.py
	@install -m 755 -D src/Constant.py ${MEDIAAPPDIR}/Constant.py
	@install -m 755 -D src/MoblinMedia.py ${MEDIAAPPDIR}/MoblinMedia.py
	@install -m 755 -D src/ThumbnailView.py ${MEDIAAPPDIR}/ThumbnailView.py
	@install -m 755 -D src/PhotoPlayback.py ${MEDIAAPPDIR}/PhotoPlayback.py
	@install -m 755 -D src/Gesture.py ${MEDIAAPPDIR}/Gesture.py
	@install -m 755 -D src/MediaPlugin.py ${MEDIAAPPDIR}/MediaPlugin.py
	@install -m 644 -D src/MoblinMedia.glade ${MEDIAAPPDIR}/MoblinMedia.glade
	@install -m 644 -D src/url.glade ${MEDIAAPPDIR}/url.glade

	@install -m 755 -D moblin-media ${BINDIR}/moblin-media
	@install -m 644 -D moblin-media.desktop ${DESTDIR}/usr/share/applications/moblin-media.desktop
	@install -m 644 -D moblin_media.png 	${DESTDIR}/usr/share/pixmaps/moblin_media.png
clean:
	rm -f *~
