=== debian/changelog ===
moblin-media (0.11) gutsy; urgency=low

  [ Rusty Lynch ]
  * Adding support for pulling images from the configured theme
    directory.  This is still not a proper use of themes, but at least
    we are no longer hard coding the path to the themed images.
  * Cutting a release for gaston

  [ Matthew Garrett ]
  * Correct standards-version
  * Upload to gutsy

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 13 Oct 2007 01:29:01 +0100

moblin-media (0.10) gaston; urgency=low

  [Cathy Shen <cathy.shen@intel.com>]
  * modify Makefile again
  * modify Makefile
  * sort thumbnail, gesutre mode for photo, music thumbnail

  [Bob]
  * Changed a few file names around to match new graphics.  (This is not
    the correct change to get all button states
  * Changed menu contents: Exit->Quit, No "Unfull screen", "Open->Open File..."
    and "Open URI" -> "Open Location...".  Also removed some separators
  * Fixed a simple bug created in previous checkin

  [ Rusty Lynch ]
  * Removed the theme images since they are now part of the theme, and
    you can not have two packages install the same file
  * fixed a bug where the wrong image was used for the play button

 -- Rusty Lynch <rusty.lynch@intel.com>  Fri, 12 Oct 2007 10:54:23 -0700

moblin-media (0.9) gaston; urgency=low

  * Cutting a new gaston release to test the build system

 -- Rusty Lynch <rusty.lynch@intel.com>  Thu, 11 Oct 2007 21:10:39 -0700

moblin-media (0.8) gaston; urgency=low

  * Adding singleton application support
  * Cutting another gaston release

 -- Rusty Lynch <rusty.lynch@intel.com>  Thu, 11 Oct 2007 20:27:38 -0700

moblin-media (0.7) gaston; urgency=low

  * Removing file browsing in thumbnail views by only creating 
    thumbnails for media files (i.e. skipping over directories)
  * Cutting a release for the gaston repository

 -- Rusty Lynch <rusty.lynch@intel.com>  Thu, 11 Oct 2007 17:58:08 -0700

moblin-media (0.6) UNRELEASED; urgency=low

  [ Rusty Lynch <rusty.lynch@intel.com> ]
  * Fixed the changelog
  * Fixed a bug where new PNG files would magically appear in the video
    folder as a side effect of our thumbnail generation.  We now use
    proper temporary files (in the /tmp directory) and delete the files
    as soon as we are done with it.
  * Fixed the permissions for the debian/rules file
  * Changed the fullscreen video mode so that it hides the progress bar
	
  [ Donald Wei <donald.wei@intel.com> ]
  * Change "mobile player" to "moblin media" in source code files.  This
    both changes the name of the launch script (i.e. requiring the
    application launcher to start moblin-media instead of mobile-player)
    and also changes the name of various implementation files.

  [ Cathy Shen <cathy.shen@intel.com> ]
  * move AlbumArtMissing.png to /usr/share/moblin-media/images/
  * change plugin folder in Constant.py
  * set hildon menu constant to True in Constant.py

 -- Rusty Lynch <rusty.lynch@intel.com>  Wed, 10 Oct 2007 11:30:35 -0700

moblin-media (0.5) gutsy; urgency=low

  [ Rusty Lynch ]
  * Changed the name of the gstreamer media service
  * Removed the gstreamer specific config file
  * Changed the name of the directory where the media service config
    files are located
  * Moved the content directory to ~/media/
  * removed gst.conf install
  * Fixed a bug where the namespace was not added to a constant ref
  * Fixed the way that the home directory is found

  [ Matthew Garrett ]
  * Remove sample content from the binary package
  * Upload to Ubuntu

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 09 Oct 2007 13:30:29 +0100

mobile-player (0.4ubuntu22) feisty; urgency=low

  *fix .playlist direction bug  

 -- Cathy <cathy@cathy-desktop>  Thu,  4 Oct 2007 23:18:03 +0800

mobile-player (0.4ubuntu21) feisty; urgency=low

  *add internet radio playlist 

 -- Cathy <cathy@cathy-desktop>  Mon,  1 Oct 2007 20:53:16 +0800

mobile-player (0.4ubuntu20) feisty; urgency=low

  *remove osso part, need add python-osso later 

 -- Cathy <cathy@cathy-desktop>  Mon,  1 Oct 2007 18:39:37 +0800

mobile-player (0.4ubuntu19) feisty; urgency=low

  *add two image for thumbnail 

 -- Cathy <cathy@cathy-desktop>  Mon,  1 Oct 2007 16:55:50 +0800

mobile-player (0.4ubuntu18) feisty; urgency=low

  *add music management, change thumbnail 

 -- Cathy <cathy@cathy-desktop>  Mon,  1 Oct 2007 16:34:47 +0800

mobile-player (0.4ubuntu17) UNRELEASED; urgency=low

  * fix bug 162, 147, 163, 149 *

 -- Shen Cathy <cathy@cathy-desktop>  Thu,  14 Sep 2007 15:47:49 +0800

mobile-player (0.4ubuntu16) UNRELEASED; urgency=low

  * fix bug 45, 143, 148, 149 *

 -- Shen Cathy <cathy@cathy-desktop>  Thu,  13 Sep 2007 13:47:49 +0800

mobile-player (0.4ubuntu15) UNRELEASED; urgency=low

  * fix bug 110, 122, 124, 115 *

 -- Shen Cathy <cathy@cathy-desktop>  Thu,  6 Sep 2007 16:47:49 +0800

mobile-player (0.4ubuntu14) UNRELEASED; urgency=low

  * Add ASF capability check *

 -- Shen Cathy <cathy@cathy-desktop>  Thu,  6 Sep 2007 16:47:49 +0800

mobile-player (0.4ubuntu13) UNRELEASED; urgency=low

  * Not get engine capability from D-Bus when play every media stream *
  * To improve performance *

 -- Shen Cathy <cathy@cathy-desktop>  Thur, 07 Sep 2007 16:30:18 +0800

mobile-player (0.4ubuntu12) UNRELEASED; urgency=low

  * add fast forward and fast rewind functionality *

 -- Shen Cathy <cathy@cathy-desktop>  Fri, 31 Aug 2007 18:00:18 +0800

mobile-player (0.4ubuntu11) UNRELEASED; urgency=low

  * fix moblin bug #92 *

 -- Shen Cathy <cathy@cathy-desktop>  Fri, 30 Aug 2007 18:00:18 +0800

mobile-player (0.4ubuntu10) UNRELEASED; urgency=low

  * update Makefile and changelog *

 -- Shen Cathy <cathy@cathy-desktop>  Fri, 30 Aug 2007 11:30:18 +0800

mobile-player (0.4ubuntu9) UNRELEASED; urgency=low

  * fix some bugs in plugin management and engine management *
  * add double-click event to both video playback and photo playback to fullscreen and unfullscreen *

 -- Shen Cathy <cathy@cathy-desktop>  Fri, 30 Aug 2007 11:20:18 +0800


