=== debian/control ===
Source: moblin-media
Section: graphics
Priority: optional
Maintainer: Shen Cathy <cathy.shen@intel.com>
Build-Depends: debhelper (>= 5), python-support (>= 0.3)
Standards-Version: 3.7.2

Package: moblin-media
Architecture: all
Depends: ${python:Depends}, python-gst0.10, python-dbus, python-glade2, python-gtk2, gstreamer0.10-alsa, gstreamer0.10-plugins-base, gstreamer0.10-plugins-good, python-hildon, python-imaging, libgnomevfs2-0, python-gnome2, python-mutagen, gstreamer-dbus-media-service (>= 0.1.7)
Recommends: gstreamer0.10-plugins-bad | gstreamer0.10-plugins-ugly | gstreamer0.10-ffmpeg
Description: Moblin media for Ubuntu Mobile and Embedded
 This is the moblin media application used by default in Ubuntu Mobile.
